<template>
    <div class="mt-3 bg-white rounded-1">
        <div class="p-2 grid">
            <div class="position-relative col-12 col-sm-6 col-md-6 col-xl-3">
                <input
                    class="form-control"
                    placeholder="Search..."
                    v-model="searchTerm"
                >
                <MagnifierIcon style="position: absolute; top: 12px; right: 6px"/>
            </div>
        </div>

        <ListSelect
            label="Bus Stops"
            :items="stopsNames"
            :additional-key-context="searchTerm"
            sortable
        ></ListSelect>
    </div>
</template>

<script setup lang="ts">
import ListSelect from '@/components/ListSelect.vue';
import { computed, ref } from 'vue';
import { useStore } from 'vuex';
import MagnifierIcon from '@/components/Icons/MagnifierIcon.vue';

const store = useStore();
store.dispatch('loadBusStops');

const searchTerm = ref<string>();

const stopsNames = computed(() => {
    if (searchTerm.value) {
        return store.getters.getAllStopsNames.filter((stopName: string) =>
            stopName.toLowerCase().indexOf(searchTerm.value?.toLowerCase() as string) !== -1
        );
    }
    return store.getters.getAllStopsNames;
});
</script>

<style scoped>

</style>
